Package org.eclipse.birt.report.model.api.util

# Class ElementExportUtil

java.lang.Object
org.eclipse.birt.report.model.api.util.ElementExportUtilImpl
org.eclipse.birt.report.model.api.util.ElementExportUtil

public class ElementExportUtil extends ElementExportUtilImpl
Represents the utility class to help export element and structure to library file. The element or structure to export must comply with the following rule:

- Element must have name defined.
- The name property of structure must have value.
- The element or structure must be contained in design file.

Any violation will throw `IllegalArgumentException`.

## Constructor Summary

Constructors
Constructor
Description
`ElementExportUtil()`

## Method Summary

### Methods inherited from class org.eclipse.birt.report.model.api.util.ElementExportUtilImpl

`canExport, canExport, canExport, canExport, canExport, canExport, canExport, checkExportedExtendedItem, checkExportElementByContext, exportDesign, exportDesign, exportElement, exportElement, exportElements, exportStructure, exportStructure, exportStructures, exportStyle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ElementExportUtil

public ElementExportUtil()